S3QLCTRL(1)

NAME
s3qlctrl - Control a mounted S3QL file system

SYNOPSIS

s3qlctrl [options] <action> <mountpoint> ...

where action may be either of flushcache, upload-meta, cachesize or log-metadata.

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The s3qlctrl command performs various actions on the S3QL file system mounted in mountpoint.

s3qlctrl can only be called by the user that mounted the file system and (if the file system was mounted with --allow-other or --allow-root) the root user. This limitation might be removed in the future (see issue 155).

The following actions may be specified:

flushcache
    Uploads all changed file data to the backend.

upload-meta
    Upload metadata to the backend. All file system operations will block while a snapshot of the metadata is prepared for upload.

cachesize
    Changes the cache size of the file system. This action requires an additional argument that specifies the new cache size in kB, so the complete command line is:

    s3qlctrl [options] cachesize <mountpoint> <new-cache-size>

log Change the amount of information that is logged into ~/.s3ql/mount.log file. The complete syntax is:

    s3qlctrl [options] log <mountpoint> <level> [<module> [<module> ...]]

    here level is the desired new log level and may be either of debug, info or warn. One or more module may only be specified with the debug level and allow to restrict the debug output to just the listed modules.

OPTIONS

The s3qlctrl command also accepts the following options, no matter what specific action is being invoked:

--debug
    activate debugging output

--quiet
    be really quiet

--version
    just print program version and exit

    Hint: run s3qlctrl <action> --help to get help on the additional arguments that the different actions take.

EXIT STATUS

s3qlctrl returns exit code 0 if the operation succeeded and 1 if some error occured.

SEE ALSO

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, conventional locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
2008-2011, Nikolaus Rath